#pragma once
#include <Arduino.h>

#include "generated.h"

#define getRgbEnabledParam() static_cast<bool>(ParamAPP_RGB_ENABLED)
#define getGroupObjectRgb() KoAPP_RGB
#define getGroupObjectRgbOnOff() KoAPP_RGB_ON_OFF

// Simplified getter
GroupObject &getGroupObjectScene1Bit(uint8_t index, uint8_t scene)
{
    if (scene == 0)
    {
        return getGroupObjectSceneA(index);
    }
    else if (scene == 2)
    {
        return getGroupObjectSceneB(index);
    }
    else if (scene == 3)
    {
        return getGroupObjectSceneC(index);
    }

    return getGroupObjectSceneD(index);
}

// Simplified getter
GroupObject &getGroupObjectScene8Bit(uint8_t index, uint8_t scene)
{
    if (scene == 0)
    {
        return getGroupObjectSceneA8Bit(index);
    }
    else if (scene == 2)
    {
        return getGroupObjectSceneB8Bit(index);
    }
    else if (scene == 3)
    {
        return getGroupObjectSceneC8Bit(index);
    }

    return getGroupObjectSceneD8Bit(index);
}
