import json
from pathlib import Path

base_path = Path(__file__).parent

original_path = base_path / 'H8I8O_V4.ae-manu'
decoded_path = base_path / 'H8I8O_V4.json'


def original_to_decoded():
    data = json.loads(original_path.read_text())
    data['Applications'][-1]['Versions'][-1]['Version'] = json.loads(
        data['Applications'][-1]['Versions'][-1]['Version']
    )
    decoded_path.write_text(json.dumps(data, indent=2))


original_to_decoded()
