import json
from pathlib import Path

base_path = Path(__file__).parent

original_path = base_path / 'H8I8O_V3.ae-manu'
decoded_path = base_path / 'H8I8O_V3.json'


def decoded_to_original():
    data = json.loads(decoded_path.read_text())
    data['Applications'][-1]['Versions'][-1]['Version'] = json.dumps(
        data['Applications'][-1]['Versions'][-1]['Version']
    )
    original_path.write_text(json.dumps(data, indent=2))


decoded_to_original()
