import os
from pathlib import Path


stm_bin_path = Path(
    'C://Program Files//STMicroelectronics//STM32Cube//STM32CubeProgrammer//bin'
)
os.environ['PATH'] += f';{stm_bin_path};'


cmd = ' '.join([
    'STM32_Programmer_CLI.exe',
    '-c port=SWD mode=UR',
    '-rdu -w ./firmware-blink.bin 0x08000000'
])

result = -1
while result:
    result = os.system(cmd)
